Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vis.util
Class HistoData

    java.lang.Object
      |
      +--vis.util.HistoData

All Implemented Interfaces:
  java.io.Serializable

public class HistoData
extends java.lang.Object
implements java.io.Serializable

The HistoData calss holds the histogram data and related parameters..

Version:
  1.0 24 July 1997
Author:
  Larry Rodrigues
See Also:
  Serialized Form

Field Summary
`java.lang.Object` | `binMinmax`
`java.lang.Object` | `data`
`int[]` | `freqMinmax`
`int[]` | `frequency`

Constructor Summary
`HistoData()`

Method Summary
`java.lang.Object` | `getBinMinmax()`
`java.lang.Object` | `getData()`
`int[]` | `getFreqMinmax()`
`int[]` | `getFrequency()`
`void` | `setBinMinmax(java.lang.Object minmax)`
`void` | `setData(java.lang.Object da)`
`void` | `setFreqMinmax(int[] minmax)`
`void` | `setFrequency(int[] fr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frequency

    public int[] frequency

### data

    public java.lang.Object data

### freqMinmax

    public int[] freqMinmax

### binMinmax

    public java.lang.Object binMinmax

Constructor Detail

### HistoData

    public HistoData()

Method Detail

### setData

    public void setData(java.lang.Object da)

  Parameters:
    `da` - the histogram data. This is a generic one dimensional array.

### getData

    public java.lang.Object getData()

  Returns:
    the histogram data.

### setBinMinmax

    public void setBinMinmax(java.lang.Object minmax)

  Parameters:
    `minmax` - an array of size 2 that holds minimum and maximum values.

### getBinMinmax

    public java.lang.Object getBinMinmax()

  Returns:
    the minmax array.

### setFrequency

    public void setFrequency(int[] fr)

  Parameters:
    `fr` - a one dimensional array of frequencies.

### getFrequency

    public int[] getFrequency()

  Returns:
    the frequency array.

### setFreqMinmax

    public void setFreqMinmax(int[] minmax)

  Parameters:
    `minmax` - an array of size 2 holding minimum and maximum values.

### getFreqMinmax

    public int[] getFreqMinmax()

  Returns:
    the minmax array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD